Create SAML SP Configuration
Creates a new Service Provider configuration for a SAML client within the Tenant, defining necessary settings for SAML authentication flows.
Creates a new Service Provider configuration for a SAML client within the Tenant, defining necessary settings for SAML authentication flows.
Authorization
M2MBearerToken M2M Token for authentication
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.loginradius.com/v2/manage/custom-providers/saml" \ -H "Content-Type: application/json" \ -d '{ "Provider": "providerName", "DataMap": { "key1": "value1", "key2": "value2" } }'{
"Id": "507f1f77bcf86cd799439011",
"IsActive": true,
"IsDeleted": false,
"IsIdpInitiated": true,
"DataMap": {
"key1": "value1",
"key2": "value2"
},
"AppId": "507f1f77bcf86cd799439011",
"AppID": 123,
"RelayStateParameter": "relayState",
"Provider": "providerName",
"FriendlyProviderName": "Friendly Provider",
"DefaultLogoutUrl": "https://example.com/logout",
"ServiceProviderACSUrl": "https://example.com/acs",
"SamlServiceProvider": "SAML Service Provider",
"IdpCertificate": {
"Certificate": "certificate",
"Key": "key"
},
"SpCertificate": {
"Certificate": "certificate"
},
"IdentityProvider": {
"Binding": "binding",
"Location": "location",
"LogOut": "logout"
},
"EnableAutoLookUp": true,
"Domain": "example.com",
"ListInInterface": true,
"CreatedDate": "2023-01-01T00:00:00Z",
"LastModifiedDate": "2023-01-02T00:00:00Z"
}{
"ErrorCode": 7914,
"Message": "Post body is invalid",
"Description": "Please use a valid post body in JSON format."
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Description": "Security Assertion Markup Language (SAML) configuration is not configured or the resource does not exist.",
"ErrorCode": 7938,
"Message": "SAML configuration not found"
}{
"Message": "Domain name already exists",
"Description": "The entered domain name is already associated with a configuration. Please input a different domain name.",
"ErrorCode": 8038
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}List SAML SP Configurations GET
Retrieves a list of all Service Provider configurations for SAML clients within the Tenant, including details such as datamap, endpoints, and certificates.
Retrieve SAML SP Mapping Keys GET
Retrieves a list of mapping keys available for configuring attribute mappings in SAML Service Provider clients within the Tenant.